Subject: Uri respects query and fragment party only when path is present
Description

With the current implementation, the query and fragment parts are only added to Uri's string representation if the path is set.
This means concretely, if

http://www.example.org?q=foo

is set, the query is omitted because the path is empty / not set.

As of http://tools.ietf.org/html/rfc3986#section-3 and http://tools.ietf.org/html/rfc3986#section-5.3, for example, the query and fragment
may be present without the path part.

Associated revisions
Revision 75d98528 - 2012-06-19 11:30 - Adrian Föder

[BUGFIX] Uri respects query and fragment even without path

Corresponding to the appropriate RFC 3986, section 3.3
the query and fragment indeed may be present also if no
path is given.

Change-Id: Ia118686cfb5673514fd39cddb85d0ecfaae98d99
Fixes: #37903
Releases: 1.1, 1.2

Revision c0a7fc5c - 2012-06-19 11:33 - Adrian Föder

[BUGFIX] Uri respects query and fragment even without path

Corresponding to the appropriate RFC 3986, section 3.3
the query and fragment indeed may be present also if no
path is given.

Change-Id: Ia118686cfb5673514fd39cddb85d0ecfaae98d99
Fixes: #37903
Releases: 1.1, 1.2
http://tools.ietf.org/html/rfc3986#section-3
http://tools.ietf.org/html/rfc3986#section-5.3


History
#1 - 2012-06-11 16:01 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11929

#2 - 2012-06-11 16:25 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11929

#3 - 2012-06-15 11:06 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11929

#4 - 2012-06-18 17:07 - Karsten Dambekalns
- Affected Flow version changed from Git 1.2 (master) to Git 1.1

#5 - 2012-06-18 17:16 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11929

#6 - 2012-06-19 11:31 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11929

#7 - 2012-06-19 11:33 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/12189

#8 - 2012-06-19 11:39 - Adrian Föder
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:75d98528be52c83c6226b2eca162e166d4c98cc3.

#9 - 2012-06-20 20:53 - Karsten Dambekalns
- Target version changed from 1.1 RC1 to 1.1 beta 3

2015-08-03 2/2

http://review.typo3.org/11929
http://review.typo3.org/11929
http://review.typo3.org/11929
http://review.typo3.org/11929
http://review.typo3.org/11929
http://review.typo3.org/12189

